Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse application won't run with OpenJDK 11(I switched the runtime JRE from Oracle Java 8 to OpenJDK 11 and now the application won't start)
Eclipse application won't run with OpenJDK 11 [message #1805247] Wed, 10 April 2019 11:42 Go to next message
L X is currently offline L XFriend
Messages: 6
Registered: April 2019
Junior Member
Hi together,
I am stuck with this issue for days now, maybe someone can help me here...
I have an application that I am able to run with Oracle Java 8 jre. Now we got the information, that due to the changes in licensing, we should migrate to OpenJDK and that these two JREs should be interchangeable. I now added the OpenJRE to the installed JREs and in the run configurations selected it as my runtime JRE. When I now run this application I get the error message which can be found in the attached log.. I used to develop in Eclipse 4.9 but also tested it with Eclipse 4.11.0 which results in the same error...
What do I have to change in my configuration, to be able to run the same application with OpenJRE? I don't really know hot to deal with the errors in the log.
Any help would be appreciated...

Best regards

[Updated on: Wed, 10 April 2019 12:42]

Report message to a moderator

Re: Eclipse application won't run with OpenJDK 11 [message #1805249 is a reply to message #1805247] Wed, 10 April 2019 12:03 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3510
Registered: July 2009
Senior Member

Your target platform seems to be Indigo, which predates even Java 7. Perhaps it's time to update it. Alternately, are you passing it the options that Java 9 and newer need? https://wiki.eclipse.org/Configure_Eclipse_for_Java_9

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse application won't run with OpenJDK 11 [message #1805254 is a reply to message #1805249] Wed, 10 April 2019 12:32 Go to previous messageGo to next message
L X is currently offline L XFriend
Messages: 6
Registered: April 2019
Junior Member
Thank you for the quick reply!
We tried to avoid upgrading our eclipse because we are very short on time and hoped we could get it to run this way...
Do you think it could be a problem that we're using a 64 bit OpenJRE?
Attached you find the eclipse.ini.
  • Attachment: eclipse.ini
    (Size: 0.50KB, Downloaded 43 times)
Re: Eclipse application won't run with OpenJDK 11 [message #1805255 is a reply to message #1805254] Wed, 10 April 2019 12:52 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3510
Registered: July 2009
Senior Member

I doubt it. Supplying the newer --add-modules=ALL-SYSTEM argument while still having the eclipse.ini point to jdk1.6.0_31 might cause issues of its own.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse application won't run with OpenJDK 11 [message #1805258 is a reply to message #1805255] Wed, 10 April 2019 12:58 Go to previous messageGo to next message
L X is currently offline L XFriend
Messages: 6
Registered: April 2019
Junior Member
In the meantime I changed this to the openjdk installation directory... But it results in the same error...
Re: Eclipse application won't run with OpenJDK 11 [message #1805263 is a reply to message #1805258] Wed, 10 April 2019 14:18 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30540
Registered: July 2009
Senior Member
You're using really very old stuff. It's 8 years old. An 8 year old version of Eclipse will definitely not run on Java 11. In fact Java 11 removed a bunch of things, or made them hard to use/find, e.g., any dependencies on javax.* things is problematic now. Why do you want to use a brand new JDK and an 8 year old version of Eclipse?
Re: Eclipse application won't run with OpenJDK 11 [message #1805264 is a reply to message #1805263] Wed, 10 April 2019 14:40 Go to previous messageGo to next message
L X is currently offline L XFriend
Messages: 6
Registered: April 2019
Junior Member
The problem for us is that we don't really have the time/budget to do an eclipse upgrade and the customers requirements force us to switch to OpenJDK now. We hoped we could somehow re-use our existing version and deal with this update later.
Re: Eclipse application won't run with OpenJDK 11 [message #1805273 is a reply to message #1805264] Thu, 11 April 2019 03:22 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3510
Registered: July 2009
Senior Member

Is the log output identical to what's posted above? And just what do you mean by "changed this to the openjdk installation directory"?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse application won't run with OpenJDK 11 [message #1805276 is a reply to message #1805273] Thu, 11 April 2019 06:02 Go to previous messageGo to next message
L X is currently offline L XFriend
Messages: 6
Registered: April 2019
Junior Member
I think the error is the same, see attached log file and current eclipse.ini.
  • Attachment: eclipse.zip
    (Size: 11.75KB, Downloaded 17 times)
Re: Eclipse application won't run with OpenJDK 11 [message #1805281 is a reply to message #1805276] Thu, 11 April 2019 07:39 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30540
Registered: July 2009
Senior Member
I really think you are on a dead end path. I don't think such an old version of Equinox can deal with how to read the information from a Java 11 JDK/JRE. Just look at all these bugs related to equinox not working with Java 9 (i.e., when Java was first modularized):

https://bugs.eclipse.org/bugs/buglist.cgi?classification=Eclipse&list_id=18628183&product=Equinox&query_format=advanced&short_desc=java%209&short_desc_type=allwordssubstr

So I think you have two options. Update your application to the latest target platform or use an older version of Java to run your out-dated application.
Re: Eclipse application won't run with OpenJDK 11 [message #1805355 is a reply to message #1805281] Fri, 12 April 2019 13:28 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3510
Registered: July 2009
Senior Member

I'm starting to come to same conclusion as Ed, but would be remiss to not point out that https://adoptopenjdk.net/ and others are making--and will be maintaining--OpenJDK 8 builds for some time.

Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Fri, 12 April 2019 13:29]

Report message to a moderator

Re: Eclipse application won't run with OpenJDK 11 [message #1805357 is a reply to message #1805355] Fri, 12 April 2019 13:33 Go to previous message
L X is currently offline L XFriend
Messages: 6
Registered: April 2019
Junior Member
Thank you for your answers!
We need to use the new OpenJDK 11 due to customers requirements...So I guess our only option is to upgrade our eclipse.
We will have to check how to do this.
Previous Topic:Dropins ignored in Linux?
Next Topic:force.com IDE new project doesn't work - help please
Goto Forum:
  


Current Time: Mon Oct 14 07:02:56 GMT 2019

Powered by FUDForum. Page generated in 0.04126 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top